import * as React from "react";
import { SpringConfig } from "react-spring";
export interface ScrollViewHandles {
    scrollTo(x?: number, y?: number): void;
}
export interface ScrollViewProps extends React.HTMLAttributes<HTMLDivElement> {
    /** enable overflow-y scrolling */
    overflowY?: boolean;
    /** enable overflow-x scrolling */
    overflowX?: boolean;
    /** spring animation configuration */
    scrollAnimationConfig?: SpringConfig;
    /** access to ref dom element　这个是内部嵌套的div的　 */
    innerRef?: React.RefObject<any>;
    ref?: any;
}
/**
 * A scroll view with some helpers, including:
 *  - smooth scrolling
 *  - gesture claiming
 * @param param0
 * @param componentRef  改成 ref
 */
export declare const ScrollView: React.RefForwardingComponent<ScrollViewHandles, ScrollViewProps>;
